#include <boost/python.hpp>
using namespace boost::python;
#include <boost/shared_ptr.hpp>

#include "alg/annotation_colors.hpp"
#include "alg/glsequence.hpp"
#include "alg/sequence.hpp"

void export_glsequence()
{
  class_<GlSequence>("GlSequence", 
      init<
        boost::shared_ptr<Sequence>, 
        boost::shared_ptr<AnnotationColors> 
      >())
    .def(init<GlSequence &>())
    .def("draw", &GlSequence::draw)
    .def("sequence", &GlSequence::sequence )
    .add_property("x", &GlSequence::x, &GlSequence::setX)
    .add_property("y", &GlSequence::y, &GlSequence::setY)
    .add_property("size", &GlSequence::size)
  ;
}
